commit:     51f7f84d475e17293c4990aebf082e6049bc892d
Author:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 20 22:15:39 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Tue Aug 21 02:09:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51f7f84d

dev-python/itsdangerous: add python 3.7 support

Package-Manager: Portage-2.3.47, Repoman-2.3.10

 .../itsdangerous/itsdangerous-0.24-r1.ebuild       | 28 ++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/dev-python/itsdangerous/itsdangerous-0.24-r1.ebuild 
b/dev-python/itsdangerous/itsdangerous-0.24-r1.ebuild
new file mode 100644
index 00000000000..6152888f346
--- /dev/null
+++ b/dev-python/itsdangerous/itsdangerous-0.24-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Various helpers to pass trusted data to untrusted environments 
and back"
+HOMEPAGE="https://pythonhosted.org/itsdangerous/ 
https://pypi.org/project/itsdangerous/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+# Required for running tests.py
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_test() {
+       if python_is_python3; then
+               2to3 -f unicode -nw --no-diffs tests.py
+       fi
+       "${PYTHON}" tests.py || die "Tests failed under ${EPYTHON}"
+}

Reply via email to